#ifndef  MODULES_XRANDR_H
#define  MODULES_XRANDR_H

/*
**   xrandr.h
**
**   (C) Copyright 2004 Rocklyte Systems.
**       All Rights Reserved.
*/

#ifndef  MAIN_H
#include <pandora/main.h>
#endif

#define MODVERSION_XRANDR ((FLOAT)1.0)

#ifndef LOCAL_XRANDR

struct XRRBase {
   ERROR (*x11SetDisplayMode)(LONG *, LONG *);
   LONG  (*x11RRNotify)(XEvent *);
   void  (*x11RRSelectInput)(Window);
};

#define x11RRNotify(a)         (XRRBase->x11RRNotify(a))
#define x11RRSelectInput(a)    (XRRBase->x11RRSelectInput(a))
#define x11SetDisplayMode(a,b) (XRRBase->x11SetDisplayMode(a,b))

#endif /* LOCAL_XRANDR */

#endif /* MODULES_XRANDR_H */


